Bug 707973 - packaging bug in liberation-fonts-ttf-1.06.0.20100721.tar.gz
Summary: packaging bug in liberation-fonts-ttf-1.06.0.20100721.tar.gz
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: liberation-fonts
Version: rawhide
Hardware: All
OS: Windows
medium
medium
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-26 13:19 UTC by Corinna Vinschen
Modified: 2011-05-30 15:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-30 15:32:23 UTC
Type: ---


Attachments (Terms of Use)

Description Corinna Vinschen 2011-05-26 13:19:14 UTC
Description of problem:

There's a bug in the Liberation-Mono fonts hosted at
https://fedorahosted.org/liberation-fonts

The font header of the Liberation-Mono fonts in the
liberation-fonts-ttf-1.06.0.20100721.tar.gz file are marked as
variable sized fonts.  This disallows usage of the Liberation-Mono
fonts in Windows applications which deliberately request fixed size
fonts, for instance terminal applications.

This is not the case with the liberation fonts from Fedora 14, btw.
The Liberation-Mono fonts from the F14 package
liberation-mono-fonts-1.06.0.20100721-3.fc14.noarch
are correctly marked as fixed size fonts.

Version-Release number of selected component (if applicable):

liberation-fonts-ttf-1.06.0.20100721.tar.gz

How reproducible:
Steps to Reproduce:

1. Install the liberation-mono fonts under Windows

2. Create a test application

$ cat > cf.c <<EOF
#include <stdio.h>
#include <windows.h>

int
main ()
{
  CHOOSEFONT font;
  LOGFONT lf;

  memset (&font, 0, sizeof font);
  memset (&lf, 0, sizeof lf);
  font.lStructSize = sizeof font;
  font.lpLogFont = &lf;
  if (ChooseFont (&font))
    printf ("lfPitchAndFamily = 0x%x\n", font.lpLogFont->lfPitchAndFamily);
  return 0;
}
EOF

2. Under Cygwin or MingW:  gcc -mwindows cf.c -o cf

3. Run ./cf, choose Liberation Mono as font and press the OK button.
  
Actual results:

  With the Liberation-Mono fonts from
  https://fedorahosted.org/liberation-fonts/liberation-fonts-ttf-1.06.0.20100721.tar.gz
  the output is

    lfPitchAndFamily = 0x32

  The two low-order bits of this value specify the pitch of the font
  and can be one of

    DEFAULT_PITCH  = 0
    FIXED_PITCH    = 1
    VARIABLE_PITCH = 2

  So the font is marked as fixed size font.
    
Expected results:

  The same test application used with the Liberation-Mono fonts from
  liberation-mono-fonts-1.06.0.20100721-3.fc14.noarch prints

    lfPitchAndFamily = 0x31

  This is the correct value.

So my request is to replace the package
https://fedorahosted.org/liberation-fonts/liberation-fonts-ttf-1.06.0.20100721.tar.gz
with a new one in which the Liberation-Mono fonts are correctly
marked as fixed size fonts.


Thanks,
Corinna

Comment 1 Corinna Vinschen 2011-05-26 13:24:22 UTC
Uh, I made a typo.  I wrote

  [...]
  The two low-order bits of this value specify the pitch of the font
  and can be one of

    DEFAULT_PITCH  = 0
    FIXED_PITCH    = 1
    VARIABLE_PITCH = 2

  So the font is marked as fixed size font.

The latter should obviously read

  So the font is marked as *variable* size font.


Sorry about that,
Corinna

Comment 2 Pravin Satpute 2011-05-27 03:58:24 UTC
i will do new release with this fix 

thanks for reporting

Comment 3 Pravin Satpute 2011-05-30 10:46:45 UTC
Released 1.07.0 version of Liberation fonts

http://lists.fedoraproject.org/pipermail/i18n/2011-May/001152.html

Surely this will help just give a try.

Comment 4 Corinna Vinschen 2011-05-30 15:32:23 UTC
Release 1.07.0 fixes this issue.

Thanks a lot,
Corinna


Note You need to log in before you can comment on or make changes to this bug.